Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.mondrian
Class MondrianCell

    java.lang.Object
      com.tonbeller.jpivot.olap.model.impl.CellBase
          com.tonbeller.jpivot.mondrian.MondrianCell

All Implemented Interfaces:
  Cell, Decorator, PropertyHolder, Visitable

    public class MondrianCell

extends CellBase

Cell Inplementation for Mondrian

Field Summary

Fields inherited from class com.tonbeller.jpivot.olap.model.impl.CellBase
`formattedValue`

Constructor Summary
`protected` | `MondrianCell(mondrian.olap.Cell monCell, MondrianModel model)` Constructor

Method Summary
`NumberFormat` | `getFormat()` If the cells value represents a java.lang.Number, return its format.
`mondrian.olap.Cell` | `getMonCell()`
`java.lang.Object` | `getValue()` return the value of the cell
`boolean` | `isNull()` true if the cell is null

Methods inherited from class com.tonbeller.jpivot.olap.model.impl.CellBase
`accept, addProperty, getFormattedValue, getProperties, getProperty, getRootDecoree, setFormattedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MondrianCell

    protected MondrianCell(mondrian.olap.Cell monCell,
                           MondrianModel model)

  Constructor

Method Detail

### getValue

    public java.lang.Object getValue()

  Description copied from interface: `Cell`
  return the value of the cell

  Specified by:
    `getValue` in interface `Cell`
  Specified by:
    `getValue` in class `CellBase`
  See Also:
    `Cell.getValue()`

### isNull

    public boolean isNull()

  Description copied from interface: `Cell`
  true if the cell is null

  Specified by:
    `isNull` in interface `Cell`
  Specified by:
    `isNull` in class `CellBase`
  See Also:
    `Cell.isNull()`

### getFormat

    public NumberFormat getFormat()

  Description copied from interface: `Cell`
  If the cells value represents a java.lang.Number, return its format. Returns null otherwise.

  Specified by:
    `getFormat` in interface `Cell`
  Specified by:
    `getFormat` in class `CellBase`
  See Also:
    `Cell.getFormat()`

### getMonCell

    public mondrian.olap.Cell getMonCell()

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD